Entrar

List People

GET https://{organization}.myguper.com/api/register/person

Devuelve la lista paginada de personas del sistema (admin/staff/dev).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parámetros de query

Name Type Description
q[column][operator] string Filter using the `q[column][operator]=value` grammar. See [List query parameters](/docs/{lang}/guides/list-query-parameters) for the full operator table.
o[column] string Sort by column. Direction: `ASC`, `DESC`, `1` or `0`.
e integer Items per page. Max `1000`. `0` for unlimited.
por defecto: 20
p integer Page number (≥ 1).
por defecto: 1
page string
entries string

Respuestas

{
    "list": [
        {
            "id": 616,
            "entityType": null,
            "name": "Renan",
            "email": null,
            "countryCallingCode": null,
            "cellphone": null,
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2023-10-17T14:32:53-03:00",
            "updatedAt": "2024-01-09T14:40:28-03:00"
        },
        {
            "id": 661,
            "entityType": null,
            "name": "Felipe",
            "email": "felipe.brasil@gmail.com",
            "countryCallingCode": null,
            "cellphone": null,
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2024-03-19T09:19:23-03:00",
            "updatedAt": "2024-03-19T09:19:23-03:00"
        },
        {
            "id": 187670,
            "entityType": null,
            "name": "Guper Teste",
            "email": "teste@guper.co",
            "countryCallingCode": 55,
            "cellphone": null,
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2024-08-26T13:25:28-03:00",
            "updatedAt": "2024-08-26T13:25:28-03:00"
        },
        {
            "id": 619,
            "entityType": null,
            "name": "Carlos",
            "email": "carlos@gmail.com",
            "countryCallingCode": 55,
            "cellphone": "196654985465",
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2023-10-17T15:43:26-03:00",
            "updatedAt": "2023-10-17T19:09:35-03:00"
        },
        {
            "id": 622,
            "entityType": null,
            "name": "Daniel Arbelaez",
            "email": "daniel.arbelaez@guper.co",
            "countryCallingCode": 55,
            "cellphone": "3015315043",
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2023-10-30T21:59:25-03:00",
            "updatedAt": "2023-10-30T21:59:25-03:00"
        },
        {
            "id": 623,
            "entityType": null,
            "name": "Ingrid Almeida",
            "email": "ingrid@guper.co",
            "countryCallingCode": 55,
            "cellphone": "5548531717",
            "document": null,
            "gender": null,
            "postalCode": null,
            "dateOfBirth": null,
            "language": null,
            "flags": null,
            "matchWith": null,
            "isHomologation": 0,
            "store": null,
            "createdAt": "2023-10-31T23:32:48-03:00",
            "updatedAt": "2023-10-31T23:33:28-03:00"
        }
    ],
    "total": 6,
    "pagination": {
        "entries": 100,
        "order": [],
        "totalPages": 1,
        "currentPage": 1,
        "isInitial": true,
        "isEnd": true,
        "totalPrevPages": 0,
        "totalNextPages": 0
    }
}

Relacionados

Copied to clipboard